package com.zanxiang.game.module.manage.rpc.impl;

import com.zanxiang.game.module.base.pojo.dto.SendMsgDto;
import com.zanxiang.game.module.base.rpc.SendMsgRpc;
import com.zanxiang.game.module.manage.service.ISendMsgTaskService;
import com.zanxiang.game.module.manage.service.impl.SendMsgTaskServiceImpl;
import com.zanxiang.game.module.mybatis.entity.SendMsgTask;
import com.zanxiang.module.util.pojo.ResultVO;
import org.apache.dubbo.config.annotation.DubboService;

import javax.annotation.Resource;
import java.time.LocalDate;
import java.util.Date;

@DubboService
public class SendMsgImpl implements SendMsgRpc {

    @Resource
    private ISendMsgTaskService sendMsgTaskService;

    @Override
    public ResultVO<Boolean> sendMsg(SendMsgDto sendMsgDto) {
        //创建任务
        SendMsgTask sendMsgTask = new SendMsgTask();
        sendMsgTask.setTaskName(sendMsgDto.getMsg());
        sendMsgTask.setTaskCondition(sendMsgDto.getSendConditionJson());
        sendMsgTask.setGameName(sendMsgDto.getGameName());
        sendMsgTask.setCreateBy(sendMsgDto.getCreateBy());
        sendMsgTask.setCreateTime(LocalDate.now());
        sendMsgTask.setMsg(sendMsgDto.getMsg());
        sendMsgTask.setRoleIds(String.join(",", sendMsgDto.getRoles()));
        //保存任务
        sendMsgTaskService.save(sendMsgTask);
        //todo：发送消息
        return ResultVO.ok();
    }
}
